---
title: "List public CloudPrint Agent releases"
description: "List current CloudPrint Agent installers published by CloudPrint and their checksums without requiring CloudPrint credentials."
---
<nav class="docs-breadcrumb" aria-label="Breadcrumb"><a href="/docs/">CloudPrint Documentation</a><span aria-hidden="true">/</span><span>API reference</span></nav>

# List public CloudPrint Agent releases

<p class="docs-lead">List current CloudPrint Agent installers published by CloudPrint and their checksums without requiring CloudPrint credentials.</p>

<div class="api-endpoint-summary"><span class="api-method api-method-get">GET</span><code>/agent-download-api/v1/releases</code><span><strong>API version:</strong> v1</span><span><strong>operationId:</strong> <code>listPublicAgentReleases</code></span><a href="/docs/api/v1/agent-downloads/releases/index.md">View as Markdown</a></div>

## What this endpoint does

List current CloudPrint Agent installers published by CloudPrint and their checksums without requiring CloudPrint credentials.

## Authentication

This endpoint does not require a Bearer token.

## Request

**Production base URL:** `https://public-api.cloudprint.me/agent-download-api/v1/releases`

### Parameters

This endpoint has no path, query or custom header parameters.

### Request body

This endpoint has no request body.

### Example requests

#### cURL

```bash
curl -sS https://public-api.cloudprint.me/agent-download-api/v1/releases
```

## Response

**HTTP status:** `200` — Public Agent release catalog

### Response fields

| Name | Type | Required | Description | Constraints |
| --- | --- | --- | --- | --- |
| `available` | `boolean` | yes | — | — |
| `channel` | `string \| null` | yes | — | — |
| `releases` | `array` | yes | — | — |
| `unavailable_reason` | `string \| null` | no | — | — |

### Example response

```json
{
  "available": false,
  "channel": null,
  "releases": [
    {
      "version": "string",
      "channel": "string",
      "published_at": null,
      "installers": [
        {
          "filename": null,
          "platform": null,
          "architecture": null,
          "format": null,
          "size_bytes": null,
          "sha256": null,
          "download_url": null
        }
      ]
    }
  ],
  "unavailable_reason": null
}
```

## Errors

| HTTP status | Description |
| --- | --- |
| `429` | Rate limit exceeded |
| `500` | Unexpected error |
| `503` | Agent release catalog is unavailable |

## Integration guidance

## Related documentation

<div class="docs-card-grid"><a class="docs-card" href="/docs/api/v1/agent-downloads/installer/"><strong>Download a CloudPrint Agent installer</strong><span>Download one published CloudPrint Agent installer by the exact filename returned by the release catalog.</span></a>
<a class="docs-card" href="/docs/partner-platform/agent-enrollment/"><strong>Enroll an agent for a customer</strong><span>Connect a local CloudPrint Agent to the correct managed customer account without requiring a customer portal login.</span></a>
<a class="docs-card" href="/docs/api/agents-and-printers/"><strong>Connect an agent and select a printer</strong><span>Install the CloudPrint agent, discover local printer queues and choose a stable printer ID based on its advertised capabilities.</span></a></div>

<nav class="docs-resource-links" aria-label="Next steps"><a href="/docs/api/v1/explorer/">OpenAPI</a><a href="https://my.cloudprint.me">Open account</a><a href="/docs/legal/privacy/">Privacy Policy</a><a href="/docs/legal/terms/">Terms</a><a href="/docs/legal/payments-and-refunds/">Payment and refunds</a><a href="/docs/legal/data-processing/">DPA</a></nav>